QueueUserACLInfo (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: QueueUserACLInfo

Package org.apache.hadoop.yarn.api.records

# Class QueueUserACLInfo

java.lang.Object
org.apache.hadoop.yarn.api.records.QueueUserACLInfo

@Public @Stable public abstract class QueueUserACLInfo extends Object

`QueueUserACLInfo` provides information `QueueACL` for the given user.

See Also:
  - `QueueACL`
  - `ApplicationClientProtocol.getQueueUserAcls(org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueUserACLInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getQueueName()`
  Get the queue name of the queue.
  `abstract List<QueueACL>`
  `getUserAcls()`
  Get the list of `QueueACL` for the given user.
  `static QueueUserACLInfo`
  `newInstance(String queueName, List<QueueACL> acls)`
  `abstract void`
  `setQueueName(String queueName)`
  `abstract void`
  `setUserAcls(List<QueueACL> acls)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueueUserACLInfo

    public QueueUserACLInfo()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static QueueUserACLInfo newInstance(String queueName, List<QueueACL> acls)

  - ### getQueueName

    @Public @Stable public abstract String getQueueName()
    Get the queue name of the queue.
    Returns:
      queue name of the queue

  - ### setQueueName

    @Private @Unstable public abstract void setQueueName(String queueName)

  - ### getUserAcls

    @Public @Stable public abstract List<QueueACL> getUserAcls()
    Get the list of `QueueACL` for the given user.
    Returns:
      list of `QueueACL` for the given user

  - ### setUserAcls

    @Private @Unstable public abstract void setUserAcls(List<QueueACL> acls)